@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  .prismic-prose p {
    @apply pb-2;
  }

  .prismic-prose a {
    @apply underline text-ul-bright-blue;
  }

  .prose a {
    @apply break-words;
  }
}

/* Font imports */

/* UL Moderat */

@font-face {
  font-family: "UL Moderat";
  src:
    local("UL Moderat"),
    url("/fonts/UL_Moderat/Variable Web/UL-Moderat-Variable.woff")
      format("woff");
}

/* Poppins; sorted by weight (ascending) */

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-ExtraThin.ttf") format("truetype");
  font-weight: 100;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-ExtraThinItalic.ttf") format("truetype");
  font-weight: 100;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-Thin.ttf") format("truetype");
  font-weight: 200;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-ThinItalic.ttf") format("truetype");
  font-weight: 200;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-Light.ttf") format("truetype");
  font-weight: 300;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-LightItalic.ttf") format("truetype");
  font-weight: 300;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-Regular.ttf") format("truetype");
  /* font-weight: 400; */
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-Italic.ttf") format("truetype");
  /* font-weight: 400; */
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-Medium.ttf") format("truetype");
  font-weight: 500;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-MediumItalic.ttf") format("truetype");
  font-weight: 500;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-SemiBold.ttf") format("truetype");
  font-weight: 600;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-SemiBoldItalic.ttf") format("truetype");
  font-weight: 600;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-Bold.ttf") format("truetype");
  font-weight: 700;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-BoldItalic.ttf") format("truetype");
  font-weight: 700;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-ExtraBold.ttf") format("truetype");
  font-weight: 800;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-ExtraBoldItalic.ttf") format("truetype");
  font-weight: 800;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-Black.ttf") format("truetype");
  font-weight: 900;
}

@font-face {
  font-family: "Poppins";
  src:
    local("Poppins"),
    url("/fonts/Poppins/Poppins-BlackItalic.ttf") format("truetype");
  font-weight: 900;
  font-style: italic;
}
